<app-toolbar title="Administrare" toolbarType="admin"></app-toolbar>
<div style="display: flex;">
  <div style="width: 50vw; ">
    <mat-card class="card-register">
      <mat-card-title class="center-text">Adaugare utilizator</mat-card-title>

      <mat-card-content>
        <form [formGroup]="registerForm" class="form-register">
          <mat-form-field appearance="fill">
            <mat-label>Enter your first name</mat-label>
            <input matInput placeholder="First name" formControlName="firstName" required>
            <mat-error *ngIf="registerForm.controls['firstName'].invalid">{{ getErrorMessage('firstName') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter your last name</mat-label>
            <input matInput placeholder="Last name" formControlName="lastName" required>
            <mat-error *ngIf="registerForm.controls['lastName'].invalid">{{ getErrorMessage('lastName') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter your phone number</mat-label>
            <input matInput placeholder="0751010100" formControlName="phone" required>
            <mat-error *ngIf="registerForm.controls['phone'].invalid">{{ getErrorMessage('phone') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter your username</mat-label>
            <input matInput placeholder="popescu.mihai" formControlName="username" required>
            <mat-error *ngIf="registerForm.controls['username'].invalid">{{ getErrorMessage('username') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter email</mat-label>
            <input matInput placeholder="test@test.com" formControlName="email" required>
            <mat-error *ngIf="registerForm.controls['email'].invalid">{{ getErrorMessage('email') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter your password</mat-label>
            <input matInput type="password" formControlName="password" required>
            <mat-error *ngIf="registerForm.controls['password'].invalid">{{ getErrorMessage('password') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Confirm your password</mat-label>
            <input matInput type="password" formControlName="repassword" required>
            <mat-error *ngIf="registerForm.controls['repassword'].invalid">{{ getErrorMessage('repassword') }}
            </mat-error>
          </mat-form-field>

          <button mat-raised-button color="primary" (click)="onRegister()">Register</button>

        </form>
      </mat-card-content>
    </mat-card>

    <app-user-preview [isAdminPage]="true" *ngFor="let user of users" [user]="user" (edit)="onUser($event)"
      (delete)="onDeleteUser($event)"></app-user-preview>
  </div>
  <div style="width: 50vw;">
    <mat-card class="card-register">
      <mat-card-title class="center-text">Adaugare Content</mat-card-title>

      <mat-card-content>
        <form [formGroup]="contentForm" class="form-register">
          <mat-form-field appearance="fill">
            <mat-label>Enter title</mat-label>
            <input matInput placeholder="Title" formControlName="title" required>
            <mat-error *ngIf="contentForm.controls['title'].invalid">{{ getErrorMessage('title') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter description</mat-label>
            <input matInput placeholder="Description" formControlName="description" required>
            <mat-error *ngIf="contentForm.controls['description'].invalid">{{ getErrorMessage('description') }}
            </mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter tipul elementului</mat-label>
            <input matInput placeholder="car/bus/truck" formControlName="itemType" required>
            <mat-error *ngIf="contentForm.controls['itemType'].invalid">{{ getErrorMessage('itemType') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter quantity</mat-label>
            <input matInput placeholder="20" formControlName="quantity" required>
            <mat-error *ngIf="contentForm.controls['quantity'].invalid">{{ getErrorMessage('quantity') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter image</mat-label>
            <input matInput placeholder="image url" formControlName="imageURL" required>
            <mat-error *ngIf="contentForm.controls['imageURL'].invalid">{{ getErrorMessage('imageURL') }}</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Enter price</mat-label>
            <input matInput placeholder="100" formControlName="price" required>
            <mat-error *ngIf="contentForm.controls['price'].invalid">{{ getErrorMessage('price') }}</mat-error>
          </mat-form-field>

          <button mat-raised-button color="primary" (click)="onAddContent()">Adaugare Content</button>

        </form>
      </mat-card-content>
    </mat-card>


    <mat-card class="item-card" *ngFor="let item of items">
      <mat-card-header>
        <div>
          <mat-card-title>{{ item.title }}</mat-card-title>
          <mat-card-subtitle>{{ item.price }}</mat-card-subtitle>
        </div>
        <span class="app-spacer"></span>
        <div>
          <button mat-icon-button class="example-icon" aria-label="Example icon-button with share icon"
            (click)="onDeleteItem(item)">
            <mat-icon color="primary">delete</mat-icon>
          </button>
          <button mat-icon-button class="example-icon" aria-label="Example icon-button with share icon"
            (click)="onItem(item)">
            <mat-icon color="primary">create</mat-icon>
          </button>
        </div>

      </mat-card-header>

    </mat-card>

  </div>
</div>
